Bug 429337 - Make dm interfaces available for external modules.
Make dm interfaces available for external modules.
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.2
All Linux
high Severity high
: rc
: ---
Assigned To: Jonathan Earl Brassow
Cluster QE
:
: 434592 434595 434596 (view as bug list)
Depends On: 429740
Blocks: 430797 KernelPrio5.3
  Show dependency treegraph
 
Reported: 2008-01-18 14:45 EST by Corey Marthaler
Modified: 2009-01-20 14:55 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 14:55:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Corey Marthaler 2008-01-18 14:45:01 EST
Description of problem:
[root@hayes-01 tmp]# rpm --force -ivh
kmod-cmirror-0.1.2-1.el5.scratch.1.x86_64.rpm cmirror-1.1.4-1.scratch.1.x86_64.rpm
error: Failed dependencies:
        ksym(dm_register_dirty_log_type) = 464e8b59 is needed by
kmod-cmirror-0.1.2-1.el5.scratch.1.x86_64
        ksym(dm_unregister_dirty_log_type) = 55c0408d is needed by
kmod-cmirror-0.1.2-1.el5.scratch.1.x86_64
        ksym(cn_netlink_send) = b10d55bc is needed by
kmod-cmirror-0.1.2-1.el5.scratch.1.x86_64
        ksym(cn_add_callback) = df3c19ec is needed by
kmod-cmirror-0.1.2-1.el5.scratch.1.x86_64
        ksym(cn_del_callback) = ff5a8cfe is needed by
kmod-cmirror-0.1.2-1.el5.scratch.1.x86_64
Comment 1 Chris Feist 2008-01-22 16:14:00 EST
Setting flags for 5.2
Comment 2 RHEL Product and Program Management 2008-01-22 16:16:09 EST
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".
Comment 16 Jeffrey Moyer 2008-04-01 14:09:24 EDT
*** Bug 434592 has been marked as a duplicate of this bug. ***
Comment 17 Jeffrey Moyer 2008-04-01 14:10:23 EDT
*** Bug 434595 has been marked as a duplicate of this bug. ***
Comment 18 Jeffrey Moyer 2008-04-01 14:11:32 EDT
*** Bug 434596 has been marked as a duplicate of this bug. ***
Comment 20 RHEL Product and Program Management 2008-04-01 17:59:51 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 21 RHEL Product and Program Management 2008-04-15 18:20:55 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 22 RHEL Product and Program Management 2008-04-15 18:40:12 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 23 RHEL Product and Program Management 2008-04-15 19:00:34 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 25 Don Zickus 2008-09-12 21:46:23 EDT
in kernel-2.6.18-113.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5
Comment 31 Mike Gahagan 2008-12-09 14:33:30 EST
When attempting to install kmod-cmirror per the bug description, I'm getting what appears to be the same errors about missing symbols. 

[root@test177 x86_64]# rpm -ivh kmod-cmirror-0.1.2-3.el5.x86_64.rpm 
error: Failed dependencies:
	ksym(dm_register_dirty_log_type) = 464e8b59 is needed by kmod-cmirror-0.1.2-3.el5.x86_64
	ksym(dm_unregister_dirty_log_type) = 55c0408d is needed by kmod-cmirror-0.1.2-3.el5.x86_64
	ksym(cn_netlink_send) = b10d55bc is needed by kmod-cmirror-0.1.2-3.el5.x86_64
	ksym(cn_add_callback) = df3c19ec is needed by kmod-cmirror-0.1.2-3.el5.x86_64
	ksym(cn_del_callback) = ff5a8cfe is needed by kmod-cmirror-0.1.2-3.el5.x86_64
[root@test177 x86_64]# uname -r
2.6.18-126.el5
Comment 35 Mike Gahagan 2008-12-10 17:22:23 EST
[root@et-guest10 ClusterStorage]# uname -a
Linux et-guest10.test.redhat.com 2.6.18-126.el5 #1 SMP Mon Dec 8 18:33:05 EST 2008 i686 i686 i386 GNU/Linux
[root@et-guest10 ClusterStorage]# rpm -ivh kmod-cmirror-0.1.21-4.el5.i686.rpm
warning: kmod-cmirror-0.1.21-4.el5.i686.rpm: Header V3 DSA signature: NOKEY, key ID 897da07a
Preparing...                ########################################### [100%]
   1:kmod-cmirror           ########################################### [100%]

from -126 kernel source
drivers/md/dm-log.c:EXPORT_SYMBOL(dm_dirty_log_type_register);
drivers/md/dm-log.c:int dm_dirty_log_type_unregister(struct dm_dirty_log_type *type)
drivers/md/dm-log.c:EXPORT_SYMBOL(dm_dirty_log_type_unregister);

Looks like the cmirror kmod included in the 1204.0 tree is installable and the dm_dirty_log_type symbols are exported.
Comment 37 errata-xmlrpc 2009-01-20 14:55:26 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-0225.html

Note You need to log in before you can comment on or make changes to this bug.